Bug 259791 - saved playlists does not scroll using keyboard
Summary: saved playlists does not scroll using keyboard
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Playlists/Saved Playlists (show other bugs)
Version: 2.4-GIT
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: 2.4.0
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-14 00:46 UTC by Manuel Amador (Rudd-O)
Modified: 2012-02-01 07:07 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Amador (Rudd-O) 2010-12-14 00:46:38 UTC
Version:           2.4-GIT
OS:                Linux

click on a playlist song or playlist in a list of Amarok Database saved playlists.

scroll using the keyboard, down.

note how the scrollbar does not change position, and the selection disappears at the bottom.

makes managing playlists impossible.

Reproducible: Always



Expected Results:  
the selection should ALWAYS be visible, and the playlist view should scroll along with the selection.

OS: Linux (x86_64) release 2.6.36-rc7karen.dragonfear
Compiler: gcc
Comment 1 Myriam Schweingruber 2010-12-14 16:18:08 UTC
Confirmed with current 2.4-git
Comment 2 Manuel Amador (Rudd-O) 2011-03-24 11:53:16 UTC
Continues in today's git version of amarok.
Comment 3 Bart Cerneels 2012-02-01 07:07:11 UTC
Git commit 73813af33c61f0a7f67060f4d0264c1825996867 by Bart Cerneels.
Committed on 31/01/2012 at 13:15.
Pushed by shanachie into branch 'master'.

Fix PlaylistBrowser scroll w/ keyboard navigation.
FIXED-IN: 2.6

M  +1    -0    ChangeLog
M  +1    -0    src/browsers/playlistbrowser/PlaylistBrowserView.cpp
M  +1    -0    src/browsers/playlistbrowser/PlaylistBrowserView.h

http://commits.kde.org/amarok/73813af33c61f0a7f67060f4d0264c1825996867